import request from "@/utils/request";

// 委外仓库产品明细-页面表格接口－有传入参数[查询操作调用接口]
export function getOutSourceList(data) {
  return request({
    url: `/system/common/api/mes/allqc/wms18housedetails/list`,
    method: "POST",
    data,
  });
}

// 委外仓库产品-生成委外工单后的扩展下拉接口
export function getOutSourceMainDropList() {
  return request({
    url: `/system/common/api/mes/allqc/wms18housedropdoownlistin/list`,
    method: "POST",
    data: {
      source: "dic",
    },
  });
}

// 委外仓库产品-每行数椐的扩展下拉接口
export function getOutSourceRowDropList() {
  return request({
    url: `/system/common/api/mes/allqc/wms18houserowdropdoownlistin/list`,
    method: "POST",
    data: {
      source: "dic",
    },
  });
}

// MES报表页面－查询操作树形列表[有参数传入]－[查询条件]
export function getJsonresult() {
  return request({
    url: `/system/common/coreapi/mes/po/mesantiproductbomjson/jsonresult`,
    method: "POST",
    data: {
      source: "dic",
    },
  });
}

// MES报表页面－查询按钮后　扩展下拉列表
export function getMesantimatnolocktopdropdownlistin() {
  return request({
    url: `/rtkwms/core/mes/po/mesreporttopdropdownlistin/list`,
    method: "POST",
    data: {
      source: "dic",
    },
  });
}

// MES报表页面－查询按钮后　扩展下拉列表
export function getMesantimatnolockrowdropdownlistin() {
  return request({
    url: `/rtkwms/core/mes/po/mesreportrowdropdownlistin/list`,
    method: "POST",
    data: {
      source: "dic",
    },
  });
}

export function batchApi(url, data) {
  return request({
    url,
    method: "POST",
    data,
  });
}
